#!/usr/bin/env python3
""" Copyright start
  Copyright (C) 2008 - 2020 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

import sys, os, json
sys.path.append("/opt/cyops/python_packages")
import requests

openstack_api_ver = "latest"
metadata_url = "http://169.254.169.254/openstack/" + openstack_api_ver + "/meta_data.json"
fortisoar_metadata_file = "/opt/cyops/configs/cloud/meta_data.json"

def start():
    # Below timeout is in secs
    response = requests.get(metadata_url, timeout=60)
    if not response.ok:
        sys.stderr.write("Failed to fetch from [" + metadata_url + "]")
        sys.exit(1)
    meta_data = response.text
    dir_path = os.path.dirname(fortisoar_metadata_file)
    if not os.path.exists(dir_path):
        os.makedirs(dir_path)
    meta_data = json.loads(meta_data)
    with open(fortisoar_metadata_file, "w") as write_file:
        print("Saving meta data to file [" + fortisoar_metadata_file + "]")
        json.dump(meta_data, write_file, indent=4)

if __name__ == "__main__":
    start()

sys.exit(0)
