#!/usr/bin/env python3
""" Copyright start
  Copyright (C) 2008 - 2020 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

import sys, os
sys.path.append("/opt/cyops/python_packages")
import requests

openstack_api_ver = "latest"
userdata_url = "http://169.254.169.254/openstack/" + openstack_api_ver + "/user_data"
fortisoar_userdata_file = "/opt/cyops/configs/cloud/user_data"

def start():
    # Below timeout is in secs
    response = requests.get(userdata_url, timeout=60)
    if not response.ok:
        sys.stderr.write("Failed to fetch from [" + userdata_url + "]")
        sys.exit(1)
    user_data = response.text
    dir_path = os.path.dirname(fortisoar_userdata_file)
    if not os.path.exists(dir_path):
        os.makedirs(dir_path)
    fh = open(fortisoar_userdata_file, "w")
    print("Saving user data to file [" + fortisoar_userdata_file + "]")
    fh.write(user_data)
    fh.close()
    
if __name__ == "__main__":
    start()

sys.exit(0)
