
get_hostname_fmg(){
    local hostname_fmg=$($fdc_fmg_settings --get-hostname)
    echo "$hostname_fmg"
}

get_ip_fmg(){
    local ip_fmg=$($fdc_fmg_settings --get-ip)
    echo "$ip_fmg"
}

source_docker_config(){
    fsr_docker_config="/opt/cyops/configs/scripts/docker/config"
    source $fsr_docker_config
}

is_docker(){
    if [ ! -f "$fdc_flag_fsr_in_docker" ]; then
        # 1 means false
        return 1
    fi
    # 0 means true
    return 0
} 

is_fmg(){
    # 1 means false
    local flag_is_fmg=1

    if [ ! -f "$FILE_FSR_RUNNING_IN_FMG" ]; then
        return $flag_is_fmg
    fi

    local cmd="$fdc_fmg_settings --check-if-fmg"
    if $cmd &>/dev/null; then
        # 0 means true
        flag_is_fmg=0
    fi
    return $flag_is_fmg
}

initialize_global_variables(){
    GLOBAL_VAR_IP_FMG=$(get_ip_fmg)
    GLOBAL_VAR_HOSTNAME_FMG=$(get_hostname_fmg)
}

notify_ui_fortisoar_state(){
    local provision=$1
    local state=$2
    echo "Notifying UI provision as [$provision], state as [$state]"
    echo "{\"provision\": $provision, \"state\": \"$state\", \"ip\": \"$GLOBAL_VAR_IP_FMG\"}" > $fdc_file_fmg_fsr_provision
    chmod 644 $fdc_file_fmg_fsr_provision
    chown nginx:nginx $fdc_file_fmg_fsr_provision
}

add_self_entry_in_etc_hosts(){
    local entry="$GLOBAL_VAR_IP_FMG $GLOBAL_VAR_HOSTNAME_FMG"
    local file_etc_hosts="/etc/hosts"
    echo "Adding entry in $file_etc_hosts [$entry]"
    echo "$entry" >> $file_etc_hosts
}

########
# Main/main/MAIN starts here
#####

#################
# How to use this?
# fsr_docker_utils_sh="/opt/cyops/configs/scripts/docker/utils.sh"
# source $fsr_docker_utils_sh
#
# This is currently getting used in
#
# /opt/cyops/configs/scripts/docker/cron-config-handler.sh
# /opt/cyops/configs/scripts/docker/boot-config.sh
# /opt/cyops/configs/scripts/docker/shutdown-config.sh
# /opt/cyops/adm/csadm
#
#
##########

source_docker_config
