#!/usr/bin/env python3
import sys, argparse
from fsr.fmg.cli_handler import handle_cli_ops


def define_parser(parser):
    parser.add_argument('--set-timezone',
                        action='store_true',
                        dest='is_set_timezone',
                        default=False,
                        required=False,
                        help="Set the timezone same as FMG")

    parser.add_argument('--create-flag',
                        action='store_true',
                        dest='is_create_flag',
                        default=False,
                        required=False,
                        help="Create the flag file for FMG")

    parser.add_argument('--check-if-fmg',
                        action='store_true',
                        dest='is_check_if_flag',
                        default=False,
                        required=False,
                        help="Check if setup is FMG")

    parser.add_argument('--get-hostname',
                        action='store_true',
                        dest='is_get_hostname',
                        default=False,
                        required=False,
                        help="Print FMG hostname")

    parser.add_argument('--get-ip',
                        action='store_true',
                        dest='is_get_ip',
                        default=False,
                        required=False,
                        help="Print FMG IPv4 address")


if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    define_parser(parser)
    args = parser.parse_args()
    handle_cli_ops(args)
    sys.exit(0)
